<nz-table
  class="data-table"
  [nzShowPagination]="nzShowPagination"
  nzTableLayout="fixed"
  [nzFrontPagination]="tableConfig.showFrontPagination"
  [nzSize]="tableConfig.size"
  [nzOuterBordered]="true"
  [nzShowSizeChanger]="showSizeChanger"
  [nzBordered]="true"
  [nzData]="_dataList"
  [nzTotal]="tableConfig!.total"
  [(nzPageIndex)]="tableConfig.pageIndex"
  (nzPageIndexChange)="onPageIndexChange($event)"
  [nzScroll]="tableConfig.needScroll? heightTable : {} "
  [(nzPageSize)]="tableConfig.pageSize"
  (nzPageSizeChange)="onPageSizeChange($event)"
  [nzLoading]="tableConfig.loading"
  [nzShowQuickJumper]="showQuickJumper"
  [nzShowTotal]="rangeTotalTemplate ?? rangeTemplate">
  <thead>
  <tr>
    <th scope='col' [nzLeft]="true" [nzIndeterminate]="indeterminate" *ngIf="tableConfig.showCheckbox"
        (nzCheckedChange)="onAllChecked($event)" [nzWidth]="'40px'" [nzChecked]="allChecked"></th>
    <th scope='col' [nzLeft]="true" [nzWidth]="'40px'" *ngIf="tableConfig.showCheckboxCustom">
      <ng-container *ngTemplateOutlet="checkboxTH"></ng-container>
    </th>
    <th  scope='col'  [nzWidth]="tableConfig?.widthIndex ? tableConfig?.widthIndex :  '50px'" [nzLeft]="tableConfig.needScroll" style="text-align: center" [align]="'center'">STT</th>
    <ng-container *ngFor="let head of tableConfig.headers;let headIndex=index;let last=last;let first=first;">
      <th  scope='col'  [nzEllipsis]='head.needEllipsis'
          [nzBreakWord]='head.needBreakword'
          [nzWidth]="head.width + 'px'"
          [ngClass]="head.thClassList?head.thClassList:''"
          [nzRight]="(!!head.fixed&&head.fixedDir==='right')"
          [nzLeft]="(!!head.fixed&&head.fixedDir==='left')"
          *ngIf="(head.show===undefined||head.show===true)">
          <!-- {{head.titleTrans }} -->
<!--          <div class="sort-wrap m-l-8 hand-model" (click)="changeSort(head)" *ngIf="head.showSort">-->
<!--            <i class="sort-caret ascending" [class.sort-caret-sel-asc]="head.sortDir==='asc'"></i>-->
<!--            <i class="sort-caret descending" [class.sort-caret-sel-desc]="head.sortDir==='desc'"></i>-->
<!--          </div>-->
          <ng-container *ngIf="head.thTemplate;else notTpl">
            <ng-container *ngTemplateOutlet="head.thTemplate"></ng-container>
          </ng-container>
          <ng-template #notTpl>
            <span *ngIf='!isUseTitle'>{{ head.titleTrans }}</span>
            <span *ngIf='isUseTitle'>{{ head.title | translate }}</span>
          </ng-template>
      </th>
    </ng-container>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let row of _dataList;let rowIndex=index;trackBy:trackByTableBody" (click)='doClickItem(row)' (dblclick)="doDblClickItem(row)"
      [ngStyle]="{background: ((isCheckPeriod && (closeDate && row['flagStatus'] < 14)) || (finishDate && row['flagStatus'] < 18)) ? '#d9dbe9' : ''}"
  >
    <td class="animate-bg-0" nzEllipsis *ngIf="tableConfig.showCheckbox" [nzLeft]="true"
        (nzCheckedChange)="checkRowSingle($event,rowIndex)"
        [ngStyle]="{background:row['_checked'] && !row[keyCheck] && isShowSeletedRow?'#e9eaff':''}"
        [nzChecked]="row['_checked']"></td>
    <td class="animate-bg-0" nzEllipsis *ngIf="tableConfig.showCheckboxCustom" [nzLeft]="true" [align]="'center'"
        [ngStyle]="{background:row['_checked'] && !row[keyCheck] &&  isShowSeletedRow?'#e9eaff':''}">
      <ng-container *ngTemplateOutlet="checkboxTD"></ng-container>
    </td>
    <td [nzLeft]='tableConfig.needScroll' nzEllipsis [align]="'center'"
        [ngStyle]="{background:(row['_checked'] && !row[keyCheck] && isShowSeletedRow) ?'#e9eaff':
((isCheckPeriod && (closeDate && row['flagStatus'] < 14)) || (finishDate && row['flagStatus'] < 18)) ? '#d9dbe9' : ''}">
      {{validateService.getRowIndex(rowIndex, tableConfig.pageIndex, tableConfig.pageSize)}}
    </td>
    <ng-container *ngFor="let head of tableConfig.headers">
      <td *ngIf="(head.show===undefined||head.show===true)"
          [ngStyle]="{background:row['_checked'] && !row[keyCheck] && isShowSeletedRow?'#e9eaff':''}"
          [ngClass]="head.tdClassList?head.tdClassList:''"
          [nzEllipsis]="head.needEllipsis"
          [nzBreakWord]='head.needBreakword'
          [nzLeft]="(!!head.fixed&&head.fixedDir==='left')"
          [nzRight]="(!!head.fixed&&head.fixedDir==='right')">
        <ng-container *ngIf="head.tdTemplate;else rowTpl">
          <ng-container *ngTemplateOutlet="head.tdTemplate;context:row"></ng-container>
        </ng-container>
        <ng-template #rowTpl>
          <ng-container *ngIf="head.pipe;else noPipe">
            <span [title]="(row|tableFiledPipe:head.field|map:head.pipe)">{{row|tableFiledPipe:head.field|map:head.pipe}}</span>
          </ng-container>
          <ng-template #noPipe>
            <ng-container><span [title]="row|tableFiledPipe:head.field">{{row|tableFiledPipe:head.field}}</span></ng-container>
          </ng-template>
        </ng-template>
      </td>
    </ng-container>

  </tr>
  </tbody>
</nz-table>

<ng-template #rangeTemplate let-range="range" let-total>
  <div class="group__total--table" style="display: flex; align-items: center">
    <img style="margin-right: 5px" src="assets/icon/common/light.svg"
         alt=""> {{'common.paging.rangePage' | translate: {'result': total} }} {{ range[0] }} - {{ range[1] }}
  </div>
</ng-template>
